/*
 * F(ast)M(oments).H
 *
 * header file for xfm.c
 */

#define	MDIM		4                 /* moment matrix dim: m00 - m33 */

/* 
 * fm.h
 * 
 * Practical Algorithms for Image Analysis
 * 
 * Copyright (c) 1997, 1998, 1999 MLMSoftwareGroup, LLC
 */



#if defined(WIN32)
#pragma warning( disable : 4244 )
#endif
static float cm[MDIM][MDIM] =
{
  {1.0, 0.0, 0.0, 0.0},
  {1.0, 1.0, 0.0, 0.0},
  {1.0, 3.0, 2.0, 0.0},
  {1.0, 7.0, 12.0, 6.0}
};

static float cmt[MDIM][MDIM] =
{
  {1.0, 1.0, 1.0, 1.0},
  {0.0, 1.0, 3.0, 7.0},
  {0.0, 0.0, 2.0, 12.0},
  {0.0, 0.0, 0.0, 6.0}
};
#if defined(WIN32)
#pragma warning( default : 4244 )
#endif
