/* 
 * bdy.h
 * 
 * Practical Algorithms for Image Analysis
 * 
 * Copyright (c) 1997, 1998, 1999 MLMSoftwareGroup, LLC
 */

/*
 * BDY.H
 *
 */

/*function prototypes */

/* bdy.c */
extern void curvature_points (unsigned char *window[], int ir, int jmax, int imax);
extern int horizontal (int ir, int jc);
extern int vertical (int ir, int jc);
extern void linkage (Image * imgIn, Image * imgOut, int value);
extern void poly (struct curv_points *first_point);
extern struct curv_points *match_in_list (struct curv_points *current_point);
extern void delete_list (struct curv_points *current_point, int list);
extern void print_curv (void);
extern void create_edge (struct curv_points *old_point, struct curv_points *new_point);
