/* 
 * xbdy.h
 * 
 * Practical Algorithms for Image Analysis
 * 
 * Copyright (c) 1997, 1998, 1999 MLMSoftwareGroup, LLC
 */

#include <stdio.h>
#include <malloc.h>
#include <stdlib.h>
#include <math.h>
#include "ip.h"
#include "bdy.h"

/* function prototypes */

/* xbdy.c */
extern void usage (char *progname);
extern void xfer_first_3_rows (unsigned char *window[], Image * imgIO);
extern void xfer_next_row (unsigned char *window[], int ir, Image * imgIO);
extern void border_err (int row, int col);
extern void check_border (unsigned char *window[], int ir, int jmax, int imax, Image * imgIO);
extern void init_structs ();
extern int img_alloc (unsigned char *img[], int nr, int nc);
extern void main (int, char **);

/* proc_poly.c */
extern struct polygon *select_poly (struct polygon *poly_head, Image * imgIO, int value);
